//Source file: C:\\GENERATE_JAVA\\generate_prod_cons\\consommateur.java
import java.util.Collection;


public class consommateur implements Thread
{
	private stock st;

	public consommateur(stock st)
	{
		this.stock = st;

	}


	public void run()
	{
		int nbprod = 10;
		// chaque consommateur est cense de consommer au plus 10 produits
		produit op;

		// chaine de fabrication des produits
		  for(int i=0;i<nbprod;i++)
		  {
			  op =(produit) stock.retirer();
			  
			try
			{
				// attente aleatoire entre 2 prises d'un produit
				double temp = Math.random()*200;
				sleep((int) temp);

			}	catch (InterruptedException ex)
			{
				System.out.println(ex.toString());
			}
		

   }
